The WhatsApp accounts endpoint lets you create and update WhatsApp accounts as well as get account activity and leave comments.
Provisioning API/API Reference//
- Get Telegram Bot channel information
Get Instagram channel information
Get Facebook Messenger channel information
Get Viber Bot channel information
Get Telegram Bot channel...
Provisioning API (1.2.36)
Download OpenAPI description
Languages
Servers
Production server
https://provisioning.api.sinch.com
Staging server from master branch
https://provisioning-api.int.staging.sinch.com
Staging server from dev branch
https://provisioning-api-dev.int.staging.sinch.com
Internal production server for admin authorization
https://provisioning-api.unauth.int.prod.sinch.com
Internal staging server from master branch for admin authorization
https://provisioning-api.unauth.int.staging.sinch.com
Internal staging server from dev branch for admin authorization
https://provisioning-api-dev.unauth.int.staging.sinch.com
A WhatsApp Sender is also referred to as a 'Business Profile' or a WhatsApp channel. The WhatsApp Sender endpoint allows you to create a Sender through Meta's Embedded sign up. A Sender must be provisioned for you as a consumer of the WhatsApp API to send messages to your end users.
Operations
Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
The unique ID of the project. You can find this on the Sinch Dashboard.
The unique ID of the app. You can find this on the Sinch Dashboard.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/messenger
- Staging server from master branchhttps://provisioning-api.int.staging.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/messenger
- Staging server from dev branchhttps://provisioning-api-dev.int.staging.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/messenger
- Internal production server for admin authorizationhttps://provisioning-api.unauth.int.prod.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/messenger
- Internal staging server from master branch for admin authorizationhttps://provisioning-api.unauth.int.staging.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/messenger
- Internal staging server from dev branch for admin authorizationhttps://provisioning-api-dev.unauth.int.staging.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/messenger
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
-u <username>:<password> \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/messenger' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "status": "ACTIVE", "statusDescription": "string", "id": "string", "name": "string", "globalBrandPageName": "string" }
Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
The unique ID of the project. You can find this on the Sinch Dashboard.
The unique ID of the app. You can find this on the Sinch Dashboard.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/telegram
- Staging server from master branchhttps://provisioning-api.int.staging.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/telegram
- Staging server from dev branchhttps://provisioning-api-dev.int.staging.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/telegram
- Internal production server for admin authorizationhttps://provisioning-api.unauth.int.prod.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/telegram
- Internal staging server from master branch for admin authorizationhttps://provisioning-api.unauth.int.staging.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/telegram
- Internal staging server from dev branch for admin authorizationhttps://provisioning-api-dev.unauth.int.staging.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/telegram
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
-u <username>:<password> \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/telegram' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "status": "ACTIVE", "name": "Sinch", "username": "sinch_bot", "canJoinGroups": true, "canReadAllGroupMessages": false, "supportsInlineQueries": false }
Security
BasicAuth and BearerAuth and OAuth2Staging and OAuth2Production and OAuth2StagingAdmin and OAuth2ProductionAdmin
Path
The unique ID of the project. You can find this on the Sinch Dashboard.
The unique ID of the app. You can find this on the Sinch Dashboard.
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/viber
- Staging server from master branchhttps://provisioning-api.int.staging.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/viber
- Staging server from dev branchhttps://provisioning-api-dev.int.staging.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/viber
- Internal production server for admin authorizationhttps://provisioning-api.unauth.int.prod.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/viber
- Internal staging server from master branch for admin authorizationhttps://provisioning-api.unauth.int.staging.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/viber
- Internal staging server from dev branch for admin authorizationhttps://provisioning-api-dev.unauth.int.staging.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/viber
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
-u <username>:<password> \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/conversation/apps/{conversationAppId}/viber' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "status": "ACTIVE", "statusDescription": "string", "id": "string", "name": "string", "uri": "string", "icon": "string", "category": "string", "subcategory": "string", "location": { "lon": 0, "lat": 0 }, "country": "string", "subscribersCount": 0 }